Packages - Freedom Issue #3445

[nextcloud-client]: Add a webengine-less nextcloud-client back to libre repositories again
2023-02-08 06:51 PM - sseneca

Status: fixed % Done: 0%
Priority: bug

Assignee: bill-auger

Category:

Description

For a while, Parabola built Nextcloud Client without gt5-webengine which was at the time an optional dep. About a year ago Arch
decided to drop the webengine dep from their PKGBUILD, so the libre package was removed. It has unfortunately been added again:
https://github.com/archlinux/svntogit-community/commit/c30f63acale22754086d72de098d577462446607

As a result:

warning: cannot resolve "gt5-webengine", a dependency of "nextcloud-client"
The following package cannot be upgraded due to unresolvable dependencies:
nextcloud-client

Looks like this is because upstream decided to add it a requirement: https:/github.com/nextcloud/desktop/pull/4875

Since the client does actually work completely fine with this disabled, I've left a comment there asking for a way to build without
webengine. If there is a way, a slightly modified PKGBUILD could be added to the libre repos.

Related issues:
Related to Packages - Freedom Issue #2107: nextcloud-client depends on gt5-we... fixed

History

#1 - 2023-02-08 06:58 PM - sseneca

A patch to remove the requirement in src/CMakeLists.txt before building would probably be quite easy to do.

#2 - 2023-02-08 07:16 PM - sseneca
- File PKGBUILD added
- File patch.diff added

Almost... 94% tests passing... will take another look at this when | get the chance...

#3 - 2023-02-08 07:45 PM - bill-auger
- Status changed from open to confirmed

- Subject changed from Add a webengine-less nextcloud-client back to libre repositories again to [nextcloud-client]: Add a webengine-less
nextcloud-client back to libre repositories again

- Tracker changed from Packaging Request to Freedom Issue

the PKGBUILD was never deleted from abslibre - it may be helpful to start from the existing parabola PKGBUILD

https://qgit.parabola.nu/abslibre.qgit/tree/libre/nextcloud-client

#4 - 2023-03-18 12:44 AM - bill-auger

FWIW, i commented on the upstream BR - there are many separate BRs and PRs about this upstream - they agreed to make it optional once before -
now it looks that for some reason recently, they made it mandatory again? - several people are asking them to stop doing this - it would be nice to set
this one as 'forwarded-upstream’; but it is still not clear if they will make it optional again - the BR was closed with no further comments from the
maintainers

#5 - 2023-03-24 09:01 PM - bill-auger
- Assignee set to bill-auger

- Status changed from confirmed to in progress
https://github.com/archlinux/svntogit-community/commit/c30f63aca1e22754086d72de098d577462446607
https://github.com/nextcloud/desktop/pull/4875
https://git.parabola.nu/abslibre.git/tree/libre/nextcloud-client

#6 - 2023-03-25 01:57 AM - bill-auger
- Status changed from in progress to fixed

- Description updated

this has languished for too long - i ended up patching webengine out of the build config, similarly to how sseneca proposed - can people please test
it? (3.7.4-1 in [libre])

#7 - 2023-03-30 11:04 PM - bill-auger

- Related to Freedom Issue #2107: nextcloud-client depends on qt5-webengine added

Files
patch.diff 1.85 KB 2023-02-08 sseneca
PKGBUILD 4.58 KB 2023-02-08 sseneca
